Bug 446596 - framebuffer & video mode selection Radeon RV200, EDID pb?
framebuffer & video mode selection Radeon RV200, EDID pb?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 05:38 EDT by Etienne Lorrain
Modified: 2009-07-14 11:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Etienne Lorrain 2008-05-15 05:38:04 EDT
Description of problem:
First reboot after install, the mode set on my video card is a lot too
wide and high: I have set the CRT monitor size adjuctment to 0 % and it
still does not fit (can't see the left part and the right part at the same
time). The EDID is recognised by the kernel.
When I acheived to connect to X, I tried to set the video mode to 1600x1200
(as it was on Fedora 8) and I had a black screen - ON/OFF reboot needed,
no reply to pings.
Some extracts of /var/log/messages:
May 14 22:56:07 localhost kernel: [drm] Initialized drm 1.1.0 20060810
May 14 22:56:07 localhost kernel: ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 
(level, low) -> IRQ 16
May 14 22:56:07 localhost kernel: [drm] Initialized radeon 1.28.0 20060524 on 
minor 0
May 14 22:56:07 localhost kernel: agpgart: Found an AGP 3.0 compliant device at 
0000:00:00.0.
May 14 22:56:07 localhost kernel: agpgart: Device is in legacy mode, falling 
back to 2.x
May 14 22:56:07 localhost kernel: agpgart: Putting AGP V2 device at 
0000:00:00.0 into 4x mode
May 14 22:56:07 localhost kernel: agpgart: Putting AGP V2 device at 
0000:01:00.0 into 4x mode
May 14 22:56:07 localhost kernel: [drm] Setting GART location based on new 
memory map
May 14 22:56:07 localhost kernel: [drm] writeback test succeeded in 1 usecs
...
May 14 21:55:09 localhost gconfd (root-2222): GConf server is not in use, 
shutting down.
May 14 21:55:09 localhost gconfd (root-2222): Exiting
May 14 21:55:10 localhost gconfd (etienne-2496): Resolved 
address "xml:readwrite:/home/etienne/.gconf" to a writable configuration source 
at position 0
May 14 21:56:07 localhost console-kit-daemon[1765]: WARNING: Couldn't 
read /proc/2679/environ: Error reading file '/proc/2679/environ': No such 
process
May 14 22:05:27 localhost kernel: imklog 3.14.1, log source = /proc/kmsg 
started.
May 14 22:05:27 localhost kernel: Inspecting /boot/System.map-2.6.25-14.fc9.i686
....
May 14 22:05:40 localhost gdm-simple-slave[2336]: DEBUG: GdmServer: Started X 
server process 2339 - waiting for READY
May 14 22:05:40 localhost gdm-simple-slave[2336]: DEBUG: GdmSimpleSlave: 
Started X server
May 14 22:05:41 localhost kernel: agpgart: Found an AGP 3.0 compliant device at 
0000:00:00.0.
May 14 22:05:41 localhost kernel: agpgart: Device is in legacy mode, falling 
back to 2.x
May 14 22:05:41 localhost kernel: agpgart: Putting AGP V2 device at 
0000:00:00.0 into 4x mode
May 14 22:05:41 localhost kernel: agpgart: Putting AGP V2 device at 
0000:01:00.0 into 4x mode
May 14 22:05:42 localhost kernel: [drm] Setting GART location based on new 
memory map
May 14 22:05:42 localhost kernel: [drm] writeback test succeeded in 1 usecs
May 14 22:05:42 localhost gdm-simple-slave[2336]: DEBUG: GdmSignalHandler: 
handling signal 10
May 14 22:05:42 localhost gdm-simple-slave[2336]: DEBUG: GdmSignalHandler: 
Found 2 callbacks
May 14 22:05:42 localhost gdm-simple-slave[2336]: DEBUG: GdmSignalHandler: 
running 10 handler: 0x8053380
May 14 22:05:42 localhost gdm-simple-slave[2336]: DEBUG: GdmSignalHandler: 
running 10 handler: 0x804c520
May 14 22:05:42 localhost gdm-simple-slave[2336]: DEBUG: Got callback for 
signal 10
...
May 14 22:06:22 localhost hcid[2050]: Default passkey agent 
(:1.34, /org/bluez/passkey) registered
May 14 22:06:22 localhost hcid[2050]: Default authorization agent 
(:1.34, /org/bluez/auth) registered
May 14 22:06:23 localhost gconfd (etienne-2500): Resolved 
address "xml:readwrite:/home/etienne/.gconf" to a writable configuration source 
at position 0
May 14 22:06:23 localhost pulseaudio[2616]: module-x11-xsmp.c: X11 session 
manager not running.
May 14 22:06:23 localhost pulseaudio[2616]: module.c: Failed to load  
module "module-x11-xsmp" (argument: ""): initialization failed.
May 15 08:46:58 localhost kernel: imklog 3.14.1, log source = /proc/kmsg 
started.

Version-Release number of selected component (if applicable):
Fedora 9

How reproducible:
100 %

Steps to Reproduce:
1. Install from DVD
2. Reboot
3.
  
Actual results:
no graphic interface useable

Expected results:


Additional info:
[root@localhost ~]# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
        Subsystem: Unknown device 0002:0000
        Flags: bus master, 66MHz, medium devsel, latency 8
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [80] AGP version 3.0
        Capabilities: [50] Power Management version 2
        Capabilities: [60] HyperTransport: Slave or Primary Interface
        Capabilities: [58] HyperTransport: Interrupt Discovery and Configuration
        Kernel driver in use: agpgart-amd64

00:00.1 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.2 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.3 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.4 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:00.7 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
        Flags: bus master, medium devsel, latency 0

00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 Sout
h] (prog-if 00 [Normal decode])
        Flags: bus master, 66MHz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: f8000000-f80fffff
        Prefetchable memory behind bridge: f0000000-f7ffffff
        Capabilities: [80] Power Management version 2

00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID Control
ler (rev 80)
        Subsystem: Micro-Star International Co., Ltd. Unknown device 7181
        Flags: bus master, medium devsel, latency 32, IRQ 20
        I/O ports at e000 [size=8]
        I/O ports at e100 [size=4]
        I/O ports at e200 [size=8]
        I/O ports at e300 [size=4]
        I/O ports at e400 [size=16]
        I/O ports at e500 [size=256]
        Capabilities: [c0] Power Management version 2
        Kernel driver in use: sata_via
        Kernel modules: sata_via

00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/
C PIPC Bus Master IDE (rev 06) (prog-if 8a [Master SecP PriP])
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 20
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
        I/O ports at e600 [size=16]
        Capabilities: [c0] Power Management version 2
        Kernel driver in use: pata_via
        Kernel modules: pata_via

00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
 (rev 81) (prog-if 00 [UHCI])
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 21
        I/O ports at e700 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
 (rev 81) (prog-if 00 [UHCI])
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 21
        I/O ports at e800 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
 (rev 81) (prog-if 00 [UHCI])
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 21
        I/O ports at e900 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
 (rev 81) (prog-if 00 [UHCI])
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 21
        I/O ports at ea00 [size=32]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: uhci_hcd
        Kernel modules: uhci-hcd

00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86) (prog-if 20 [EHC
I])
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 21
        Memory at f8100000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2
        Kernel driver in use: ehci_hcd
        Kernel modules: ehci-hcd

00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T89
0 South]
        Subsystem: VIA Technologies, Inc. DFI KT600-AL / Soltek SL-B9D-FGR Mothe
rboard
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2
        Kernel modules: i2c-viapro

00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 A
C97 Audio Controller (rev 60)
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: medium devsel, IRQ 22
        I/O ports at eb00 [size=256]
        Capabilities: [c0] Power Management version 2
        Kernel driver in use: VIA 82xx Audio
        Kernel modules: snd-via82xx

00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
        Subsystem: Micro-Star International Co., Ltd. K8MM3-V mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 23
        I/O ports at ec00 [size=256]
        Memory at f8101000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Power Management version 2
        Kernel driver in use: via-rhine
        Kernel modules: via-rhine

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTra
nsport Technology Configuration
        Flags: fast devsel
        Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address
Map
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Con
troller
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscella
neous Control
        Flags: fast devsel
        Kernel driver in use: k8temp
        Kernel modules: k8temp

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV200 QW [Radeon
7500] (prog-if 00 [VGA controller])
        Subsystem: ATI Technologies Inc Radeon 7500
        Flags: bus master, stepping, 66MHz, medium devsel, latency 32, IRQ 16
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at d000 [size=256]
        Memory at f8020000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2
        Kernel modules: radeonfb
Comment 1 Etienne Lorrain 2008-05-30 04:46:35 EDT
This was simply due to the fact that I have a real CRT screen (4/3 and not 
16/9) and the default selected mode was 1600x1024. The monitor does not really 
support such a definition, and obviously works "over its specifications".
Going back to 1600x1200 solved the problem.
Note that something locked hard the PC when I tried to go from 1600x1200@60 Hz 
to 1600x1200@70 Hz with the provided mode-setting config interface, but that is 
probably a completely different problem.
Comment 2 Bug Zapper 2009-06-09 20:50:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:46:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.